PortHolder (Package com.ericsson.otp.ic version 4.2.30)
Keywords: com.ericsson.otp.ic.PortHolder class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class PortHolder

    java.lang.Object
      com.ericsson.otp.ic.PortHolder

    public final class PortHolder

extends java.lang.Object

Holder class for Port.

Field Summary
`Port` | `value` Port instance variable.

Constructor Summary
`PortHolder()`
`PortHolder(Port initial)`

Method Summary
`void` | `_marshal(com.ericsson.otp.erlang.OtpOutputStream out)` Marshal method for the PortHolder class, encodes the Port object value to the output stream.
`void` | `_unmarshal(com.ericsson.otp.erlang.OtpInputStream in)` Unmarshal method for the PortHolder class, decodes a Port object from the output stream and assigns it to the Holder value field.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Port value

  Port instance variable.

Constructor Detail

### PortHolder

    public PortHolder()

### PortHolder

    public PortHolder(Port initial)

Method Detail

### _marshal

    public void _marshal(com.ericsson.otp.erlang.OtpOutputStream out)
                  throws java.lang.Exception

  Marshal method for the PortHolder class, encodes the Port object value to the output stream.

  Throws:
    `java.lang.Exception`

### _unmarshal

    public void _unmarshal(com.ericsson.otp.erlang.OtpInputStream in)
                    throws java.lang.Exception

  Unmarshal method for the PortHolder class, decodes a Port object from the output stream and assigns it to the Holder value field.

  Throws:
    `java.lang.Exception`

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD